# For ART-build
%define with_atomicscl  %{?_with_atomicscl:  1} %{?!_with_atomicscl:  0}
%if %{with_atomicscl}
%global scl atomic-iptables
%define _scl_prefix /opt/atomic
%endif

%if 0%{?scl:1}
%scl_package iptables

%else
%global pkg_name          %{name}
%global _root_sysconfdir  %{_sysconfdir}
%global _root_bindir      %{_bindir}
%global _root_sbindir     %{_sbindir}
%global _root_includedir  %{_includedir}
%global _root_libdir      %{_libdir}
%global _root_prefix      %{_prefix}
%if 0%{?rhel} < 6
%global _root_initddir    /etc
%else
%global _root_initddir    %{_initddir}
%endif
%endif



Name: %{?scl_prefix}iptables
Summary: Tools for managing Linux kernel packet filtering capabilities
Version: 1.4.21
Release: 0.7.art
Source: http://www.netfilter.org/projects/iptables/files/iptables-%{version}.tar.bz2
Source1: iptables.init
Source2: iptables-config

Patch1: iptables-1.4.21-rhbz_1054871.patch
Patch2: iptables-1.4.21-libxt_cgroup.patch
Patch3: iptables-1.4.21-wait_seconds.patch
Patch4: iptables-1.4.21-flock_wait.patch
Group: System Environment/Base
URL: http://www.netfilter.org/
License: GPLv2
# el7
# libnetfilter_conntrack is needed for xt_connlabel
#BuildRequires: libnetfilter_conntrack-devel >= 1.0.4
# libnfnetlink-devel is requires for nfnl_osf
BuildRequires: libnfnetlink-devel

BuildRequires: libselinux-devel
BuildRequires: kernel-headers

%description
The iptables utility controls the network packet filtering code in the
Linux kernel. If you need to set up firewalls and/or IP masquerading,
you should install this package.


%package devel
Summary: Development package for iptables
Group: System Environment/Base
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: pkgconfig

%description devel
iptables development headers and libraries.

The iptc interface is upstream marked as not public. The interface is not 
stable and may change with every new version. It is therefore unsupported.

#%if 0%{?scl:1}
%package runtime
Summary: Package that handles %scl Software Collection.
Group: System Environment/Base
Requires: scl-utils
Provides: atomic-iptables-runtime
## 
%description runtime
SCL Runtime
#%endif





%prep
%setup -q -n iptables-%{version}
%patch1 -p1 -b .rhbz_1054871
%patch2 -p1 -b .libxt_cgroup
%patch3 -p1 -b .wait_seconds
%patch4 -p1 -b .flock_wait

cat <<EOF | tee enable
export PATH=%{_bindir}:%{_sbindir}\${PATH:+:\${PATH}}
export MANPATH=%{_mandir}:\${MANPATH}
export PKG_CONFIG_PATH=%{_libdir}/pkgconfig\${PKG_CONFIG_PATH:+:\${PKG_CONFIG_PATH}}
EOF


%build
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing " \
%configure --enable-devel --with-kernel=/usr --with-kbuild=/usr --with-ksource=/usr

# do not use rpath
#sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
#sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

rm -f include/linux/types.h

make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} 
# remove la file(s)
rm -f %{buildroot}/%{_libdir}/*.la

# install ip*tables.h header files
install -m 644 include/ip*tables.h %{buildroot}%{_includedir}/
install -d -m 755 %{buildroot}%{_includedir}/iptables
install -m 644 include/iptables/internal.h %{buildroot}%{_includedir}/iptables/

# install ipulog header file
install -d -m 755 %{buildroot}%{_includedir}/libipulog/
install -m 644 include/libipulog/*.h %{buildroot}%{_includedir}/libipulog/

%if 0%{?scl:1}
install -m 644 enable  %{buildroot}%{_scl_scripts}/enable

# this thing is worth exploring later
#scl_install
%endif



%files
%doc COPYING INCOMPATIBILITIES
%{_sbindir}/iptables*
%{_sbindir}/xtables-multi
%{_bindir}/iptables-xml
%{_mandir}/man1/iptables-xml*
%{_mandir}/man8/iptables*
%dir %{_libdir}/xtables
%{_libdir}/xtables/libipt*
%{_libdir}/xtables/libxt*
%{_libdir}/libip*tc.so.*
%{_libdir}/libxtables.so.*
# from the utils package
%{_sbindir}/nfnl_osf
%dir %{_datadir}/xtables
%{_datadir}/xtables/pf.os
%{_sbindir}/ip6tables*
%{_mandir}/man8/ip6tables*
%{_libdir}/xtables/libip6t*


%files devel
%dir %{_includedir}/iptables
%{_includedir}/iptables/*.h
%{_includedir}/*.h
%dir %{_includedir}/libiptc
%{_includedir}/libiptc/*.h
%dir %{_includedir}/libipulog
%{_includedir}/libipulog/*.h
%{_libdir}/libip*tc.so
%{_libdir}/libxtables.so
%{_libdir}/pkgconfig/libiptc.pc
%{_libdir}/pkgconfig/libip4tc.pc
%{_libdir}/pkgconfig/libip6tc.pc
%{_libdir}/pkgconfig/xtables.pc

%files runtime
%{_scl_scripts}/enable



%changelog
* Tue Mar 8 2016 Support <support@atomicorp.com> - 1.4.21-1
- Initial scl build
